Loading...
Searching...
No Matches
nea_subnode_t Struct Reference

Description of subscription. More...

`#include <nea.h>`

Collaboration diagram for nea_subnode_t:
[legend]

## Data Fields

nea_state_t | sn_state
| Subscription state.
unsigned | sn_fake
| True if subscriber is given fake contents.
unsigned | sn_eventlist
| Subscriber supports eventlist.
nea_sub_t * | sn_subscriber
| Pointer to subscriber object.
nea_event_t * | sn_event
| Event.
sip_from_t const * | sn_remote
| Identity of subscriber.
sip_contact_t const * | sn_contact
| Contact of subscriber.
sip_content_type_t const * | sn_content_type
| Content-Type of SUBSCRIBE body (filter).
sip_payload_t const * | sn_payload
| Body of subscribe.
unsigned | sn_expires
| When subscription expires.
unsigned | sn_latest
| Latest notification version.
unsigned | sn_throttle
| Throttle value.
unsigned | sn_version
| Latest notified version # by application.
sip_time_t | sn_notified
| When latest notify was sent.
sip_time_t | sn_subscribed
| When first SUBSCRIBE was recv.
nea_event_view_t * | sn_view
| Event view for this subscriber.

## Detailed Description

Description of subscription.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.